Status: Resolved Priority: Should have
Author: Robert Lemke Category: Configuration
Created: 2009-11-19 Assigned To: Andreas Förthner
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Security should have its own configuration file
Description

Currently all security related options are configured in the FLOW3.yaml configuration file. As this configuration will become more
extensive in the future and justifies its own class, we should introduce setting files called "Security.yaml" and move all security related
options to them.

Associated revisions
Revision 35190454 - 2010-02-14 00:01 - Andreas Förthner

[+TASK] FLOW3: Moved the security policy configuration to its own Policy.yaml file. Resolves #5440

History
#1 - 2009-11-30 12:42 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke
- Target version set to 1.0 alpha 7

#2 - 2009-11-30 17:40 - Robert Lemke

Instead of moving all security related options to a Security.yaml file we should only externalize the policy section to a file called SecurityPolicies.yaml.
The other options are comprehensive settings covering the whole security framework and therefore still belong to the FLOW3 Settings.yaml file.

#3 - 2010-01-13 12:04 - Robert Lemke
- Target version changed from 1.0 alpha 7 to 1.0 alpha 8

#4 - 2010-01-20 17:06 - Robert Lemke
- Assigned To changed from Robert Lemke to Andreas Förthner

#5 - 2010-02-14 01:00 - Andreas Förthner
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3824.
